Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.util
Class KeyNav

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.util.KeyNav

    public class KeyNav

extends JsObject

Provides a convenient wrapper for normalized keyboard navigation. KeyNav allows you to bind navigation keys to function calls that will get called when the keys are pressed, providing an easy way to implement custom navigation schemes for any UI component.

The following are all of the possible keys that can be implemented: enter, left, right, up, down, tab, esc, pageUp, pageDown, del, home, end.

See Also:
  `KeyNavConfig`

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`KeyNav(com.google.gwt.user.client.Element el, KeyNavConfig config)` Creates a new KeyNav isntance.
`KeyNav(com.google.gwt.core.client.JavaScriptObject jsObj)`
`KeyNav(java.lang.String id, KeyNavConfig config)` Creates a new KeyNav isntance.

Method Summary
`void` | `disable()` Disable the KeyNav.
`void` | `enable()` Enable the KeyNav.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyNav

    public KeyNav(com.google.gwt.core.client.JavaScriptObject jsObj)

### KeyNav

    public KeyNav(java.lang.String id,
                  KeyNavConfig config)

  Creates a new KeyNav isntance.

  Parameters:
    `id` - the element ID
    `config` - the keynav configuration

### KeyNav

    public KeyNav(com.google.gwt.user.client.Element el,
                  KeyNavConfig config)

  Creates a new KeyNav isntance.

  Parameters:
    `el` - the element
    `config` - the keynav configuration

Method Detail

### disable

    public void disable()

  Disable the KeyNav.

### enable

    public void enable()

  Enable the KeyNav.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD